Bug 986550 - Review Request: python-xmp-toolkit - Python toolkit for working with XMP metadata [NEEDINFO]
Review Request: python-xmp-toolkit - Python toolkit for working with XMP meta...
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2013-07-20 10:07 EDT by Lars Kiesow
Modified: 2015-09-23 02:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: needinfo? (lkiesow)


Attachments (Terms of Use)

  None (edit)
Description Lars Kiesow 2013-07-20 10:07:15 EDT
Spec URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit.spec
SRPM URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit-1.0.2-1.fc17.src.rpm
Description: Python XMP Toolkit is a library for working with XMP metadata, as well as reading/writing XMP metadata stored in many different file formats.
Fedora Account System Username: lkiesow

This is the first package I'm submitting to Fedora. Thus I'm seeking a sponsor. I have been a packager for the Opencast Matterhorn project (opencast.org) for a while now.
Comment 1 Mario Blättermann 2013-07-20 16:27:09 EDT
Your package is noarch and stores its files in %{python_sitelib}. You have removed the wrong header in the spec file (that one which refers to noarch packages).

BTW, this header in general and some other parts are obsolete if you don't want to provide your package for EPEL 5:

* the BuildRoot definition
* the initial cleaning of $RPM_BUILD_ROOT in %install
* the %clean section
* the %defattr line in %files

If you are not pointing to EPEL 5, those lines can be safely dropped. Well, you are not forced to do so due to the guidelines, but it doesn't make sense anyway to keep them. The functionality of the mentioned macros is default for EPEL >= 6 and all currently supported Fedora versions, and the spec file becomes better readable. See http://fedoraproject.org/wiki/Packaging:Python#Macros for more info.

BuildRequires: python-devel
is deprecated, you have to use python2-devel instead:
http://fedoraproject.org/wiki/Packaging:Python#BuildRequires
Comment 2 Lars Kiesow 2013-07-20 18:31:09 EDT
Thanks for the review. I removed the the obsolete headers and changed the deprecated python-devel to python2-devel. I uploaded the new spec/srpm here:

Spec URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit.spec
SRPM URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit-1.0.2-2.fc17.src.rpm
Comment 3 Christopher Meng 2013-07-20 18:55:42 EDT
And please remove the dot at the end of summary.
Comment 4 Christopher Meng 2013-07-20 19:32:03 EDT
Also,  please scratch builds for rawhide and f19 via Koji, because f17 is nearly EOL.

Thanks.
Comment 6 Christopher Meng 2013-07-21 20:52:58 EDT
Issue:

1. Remove %defattr(-,root,root,-) in the %files section.

Suggestions:

1. SOrt things like this:

Name:           python-xmp-toolkit
Version:        1.0.2
Release:        2%{?dist}
Summary:        Python XMP Toolkit for working with metadata
Group:          Development/Libraries
License:        BSD
URL:            http://code.google.com/p/python-xmp-toolkit/
Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       exempi

You don't need to leave too many empty lines :)

2. %setup -q -n %{name}-%{version}
 can be safely replaced by 

%setup -q

3. You can remove VERSION file in doc as it's useless.
Comment 7 Martin Gieseking 2013-07-22 02:47:45 EDT
Hi Lars,

great to see you here. :)

A few additional notes:
Please be more explicit in the %files section to prevent adding unwanted files by accident. This also helps to get an idea what's actually going into the package: 

%doc docs/html/
%{python_sitelib}/libxmp/
%{python_sitelib}/python_xmp_toolkit-*.egg-info/

Also, remove file .buildinfo from docs/html.
Comment 9 Mario Blättermann 2013-08-18 14:29:29 EDT
The tarball contains a bundled egg, please remove it before building the package.
See http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more info.

(In reply to Mario Blättermann from comment #1)
> ... parts are obsolete if you don't
> want to provide your package for EPEL 5:
> ...
> * the %defattr line in %files
Comment 10 Lars Kiesow 2013-09-22 13:12:05 EDT
Sorry for the late reply. I somehow missed your answer (has been a while since something happened here).

New files can be found here:
Spec URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit.spec
SRPM URL: http://larskiesow.de/python-xmp-toolkit/python-xmp-toolkit-1.0.2-4.fc18.src.rpm

And here are new scratch builds:
f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=5968890
f19: http://koji.fedoraproject.org/koji/taskinfo?taskID=5968904
f20: http://koji.fedoraproject.org/koji/taskinfo?taskID=5968912
Comment 11 Parag AN(पराग) 2015-08-22 03:08:50 EDT
Hi Lars,
   We have this process http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group to get sponsored into the packager group. Can you either submit few more packages and/or some full detailed package reviews? This is needed to make sure package submitter understands the rpm packaging well and follows the fedora packaging guidelines.

Please go through the following links
1) http://fedoraproject.org/wiki/Package_Review_Process

2) https://fedoraproject.org/wiki/PackagingGuidelines

3) To find the packages already submitted for review, check http://fedoraproject.org/PackageReviewStatus/

4) http://fedoraproject.org/wiki/Packaging:ReviewGuidelines and http://fedoraproject.org/wiki/Package_Review_Process#Reviewer is useful while doing package reviews.

5) https://fedorahosted.org/FedoraReview/ this is fedora-review tool to help review packages in fedora. You need to use this and do un-official package reviews of packages submitted by other contributors. While doing so mention "This is un-official review of the package." at top of your review comment.

Good to review packages listed in http://fedoraproject.org/PackageReviewStatus/NEW.html

When you do full package review of some packages, provide that review comment link here so that I can look how you have reviewed those packages.

If you got any questions please ask :)
Comment 12 Parag AN(पराग) 2015-08-23 23:10:22 EDT
I tried today to review your package but links are not working. Please upload the spec and srpm links.
Comment 13 Parag AN(पराग) 2015-09-23 02:37:17 EDT
Still the links are not working.

Note You need to log in before you can comment on or make changes to this bug.